Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class SpectralLightMapNode

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.imp3d.objects.SpectralLightMapNode

All Implemented Interfaces:
  Icon, IconSource, SpectralLightMap, Manageable, Shareable, RenderedIcon

    public class SpectralLightMapNode

extends ShareableBase
implements SpectralLightMap, IconSource, Icon, RenderedIcon

Nested Class Summary
`static class` | `SpectralLightMapNode.Type`

Field Summary
`static SpectralLightMapNode.Type` | `$TYPE`
`static SCOType.Field` | `spectraldistribution$FIELD`

Fields inherited from interface de.grogra.icon.Icon
`DEFAULT, DISABLED`

Constructor Summary
`SpectralLightMapNode()`
`SpectralLightMapNode(SpectralCurve curve)`

Method Summary
`int` | `getAverageColor()`
`Point3f` | `getColor()`
`float` | `getFloatValue(ChannelData data, int channel)`
`Icon` | `getIcon(java.awt.Dimension size, int state)`
`java.awt.Rectangle` | `getIconBounds()`
`IconSource` | `getIconSource()`
`java.awt.Image` | `getImage()`
`java.awt.Image` | `getImage(int w, int h)`
`java.net.URL` | `getImageSource()`
`ManageableType` | `getManageableType()`
`java.lang.Object` | `getObjectValue(ChannelData data, int channel)`
`java.awt.Dimension` | `getPreferredIconSize(boolean small)`
`float` | `getSizeRatio()`
`SPD` | `getSpectraldistribution()`
`SpectralCurve` | `getSpectralDistribution()`
`boolean` | `isMutable()`
`void` | `paintIcon(java.awt.Component c, java.awt.Graphics2D g, int x, int y, int w, int h, int state)`
`void` | `prepareIcon()`
`int` | `renderImage(JobManager jm, java.awt.image.BufferedImage img, int y)`
`void` | `setSpectraldistribution(SPD value)`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.pf.ui.RenderedIcon
`getStamp`

Field Detail

### $TYPE

    public static final SpectralLightMapNode.Type $TYPE

### spectraldistribution$FIELD

    public static final SCOType.Field spectraldistribution$FIELD

Constructor Detail

### SpectralLightMapNode

    public SpectralLightMapNode()

### SpectralLightMapNode

    public SpectralLightMapNode(SpectralCurve curve)

Method Detail

### getAverageColor

    public int getAverageColor()

### getColor

    public Point3f getColor()

### getFloatValue

    public float getFloatValue(ChannelData data,
                               int channel)

### getIcon

    public Icon getIcon(java.awt.Dimension size,
                        int state)

  Specified by:
    `getIcon` in interface `IconSource`

### getIconBounds

    public java.awt.Rectangle getIconBounds()

  Specified by:
    `getIconBounds` in interface `Icon`

### getIconSource

    public IconSource getIconSource()

  Specified by:
    `getIconSource` in interface `Icon`

### getImage

    public java.awt.Image getImage()

  Specified by:
    `getImage` in interface `Icon`

### getImage

    public java.awt.Image getImage(int w,
                                   int h)

  Specified by:
    `getImage` in interface `Icon`

### getImageSource

    public java.net.URL getImageSource()

  Specified by:
    `getImageSource` in interface `Icon`

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getObjectValue

    public java.lang.Object getObjectValue(ChannelData data,
                                           int channel)

### getPreferredIconSize

    public java.awt.Dimension getPreferredIconSize(boolean small)

  Specified by:
    `getPreferredIconSize` in interface `IconSource`

### getSizeRatio

    public float getSizeRatio()

  Specified by:
    `getSizeRatio` in interface `RenderedIcon`

### getSpectraldistribution

    public SPD getSpectraldistribution()

### getSpectralDistribution

    public SpectralCurve getSpectralDistribution()

  Specified by:
    `getSpectralDistribution` in interface `SpectralLightMap`

### isMutable

    public boolean isMutable()

  Specified by:
    `isMutable` in interface `Icon`

### paintIcon

    public void paintIcon(java.awt.Component c,
                          java.awt.Graphics2D g,
                          int x,
                          int y,
                          int w,
                          int h,
                          int state)

  Specified by:
    `paintIcon` in interface `Icon`

### prepareIcon

    public void prepareIcon()

  Specified by:
    `prepareIcon` in interface `Icon`

### renderImage

    public int renderImage(JobManager jm,
                           java.awt.image.BufferedImage img,
                           int y)

  Specified by:
    `renderImage` in interface `RenderedIcon`

### setSpectraldistribution

    public void setSpectraldistribution(SPD value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD